% SearchFont.m
% Searches for font file names to include in fontmap.gs
%
% Author: Juan M. Guerrero
% Institution: Universidad de Oviedo (Spain)
% Date: 04/21/2017

clc;
fuente = input('Write the beginning of the name of the font (case sensitive) [e.g. Times, Lucida...] : ','s');
subs_char = '-';
espacios = 10;

system_fonts = fontinfo;

font_match = strfind(system_fonts,fuente);
  

index = false(1,numel(font_match));

for k = 1:numel(font_match)
    index(k) = ~isempty(font_match{k});
end

index = find(index ~=0);

if (isempty(index))
    disp('The font has not been found in your system');
    return;
end

fuentes = system_fonts(index);
fuentes_path = fuentes;

for k = 1:length(fuentes);
    fuentes_path{k} = fontinfo(char(fuentes{k}));
      
    % Create list for including in Ghostscript fontmap.gs
    index = strfind(fuentes{k},' ');
    fuentes{k}(index) = subs_char;
       
    % Change slash in Windows
    index = strfind(fuentes_path{k},'\');
    fuentes_path{k}(index) = '/';
    
    % Create line for fontmap.gs
    fuentes_path{k} =[blanks(espacios) char(['(' fuentes_path{k} ')    ;'])];
    fuentes{k} = ['/' fuentes{k}];
end

% Text to paste
[char(fuentes), char(fuentes_path)]